#
# Copyright (c) wildnux
#
# Spec file for oracle-java-installer
# 
#
# This package is provided as is without any warranty.
# I am not responsible for any damages whatsoever occurs
# to your computer by installing this package.
#
#  
# Please feel free to modify to improve the package
#
# NOTE: version matched with the java version

%define		debug_package	%{nil}
%define		javarelease	7u51
%define		docdir		%{_datadir}/doc/java-oracle
%define		javaver		1.7.0

Name:		get-java-oracle
Version:	1.7.0_51
Release:	%mkrel 1.nonfree
Summary:	Download and install the java from oracle's site
Summary(fr_FR):	Télécharge et installe le java à partir du site d'Oracle
License:	Proprietary
Group:		Development/Java
URL:		http://java.com/en/
Source0:	oracle-java-installer.sh.in
Source1:	oracle-java-uninstaller.sh.in

Requires:	wget

# Post requires alternatives to install tool alternatives.
Requires(post):		%{_sbindir}/alternatives
# Postun requires alternatives to uninstall tool alternatives.
Requires(preun):	%{_sbindir}/alternatives

Provides:	java-1.6.0-oracle = %{version}-%{release}
Provides:	java-1.6.0-sun = %{version}-%{release}
Provides:	jre-1.6.0-oracle = %{version}-%{release}
Provides:	jre-1.6.0-sun = %{version}-%{release}
Provides:	jre-oracle = %{version}-%{release}
Provides:	jre-sun = %{version}-%{release}
Provides:	java-%{javaver} = %{version}-%{release}
Provides:	jre = %{javaver}
Provides:	javaws = %{version}-%{release}
Provides:	libnpjp2.so = %{version}-%{release}


%description
This package installs the java from oracle's site.
This is an installer for Java JRE-%{javarelease}.

This package does not contain any program files as the Java license does
not allow distribution. By installing this package you will download and
install Java from java.com.
You must accept the Java EULA before using it.
Please be patient, this is a 45 MB download and may take some time.
Removing this package will uninstall Java from your system.

%description -l fr_FR
Ce paquetage télécharge et installe le java à partir du site d'Oracle.
Il s'agit d'un programme d'installation pour Java JRE-%{javarelease}.

Ce paquet ne contient pas de fichiers de programme car la licence de Java
ne permet pas la distribution. En installant ce paquetage vous pourrez 
télécharger et installer Java à partir du site officiel d'Oracle.
Vous devez accepter le CLUF Java avant de l'utiliser.
Veuillez être patient, c'est un téléchargement de 45 Mo et peut prendre un 
certain temps.
La suppression de ce paquetage permet de désinstaller Java de votre système.

%prep
cp %{SOURCE0} .
cp %{SOURCE1} .

%build
# No need to edit the file oracle-java-instaler.in:
%ifarch x86_64
    %define myarch 64
    %define linkurl http://javadl.sun.com/webapps/download/AutoDL?BundleId=83376
%else 
    %define myarch 32
    %define linkurl http://javadl.sun.com/webapps/download/AutoDL?BundleId=83374
%endif

sed -e 's,__linkURL__,%{linkurl},' -e 's,__ARCH__,%{myarch},' -e 's,__VERSION__,%{version},' -e 's,__JAVARELEASE__,%{javarelease},' oracle-java-installer.sh.in > oracle-java-installer-%{javarelease}.sh
sed -e 's,__ARCH__,%{myarch},' -e 's,__VERSION__,%{version},' oracle-java-uninstaller.sh.in > oracle-java-uninstaller-%{javarelease}.sh

%install
mkdir -p %{buildroot}/var/adm/update-scripts/java
mv oracle-java-installer-%{javarelease}.sh %{buildroot}/var/adm/update-scripts/java
mv oracle-java-uninstaller-%{javarelease}.sh %{buildroot}/var/adm/update-scripts/java

install -d -m 0755 %{buildroot}%{docdir}
touch %{buildroot}%{docdir}/{COPYRIGHT,LICENSE,README}

#----------------------------------------------------------------------------
# (david.david)
# conflict with icedtea-web plugin installed and enabled on your browser.
# need to be disabled to use java web plugin Oracle.
cat > README.urpmi << EOF


--------------------------- Francais ----------------------------------


-------------------------- Description --------------------------------

Si vous avez le plugin icedtea-web installe et active sur votre navigateur,
il sera utilise par defaut, meme si vous venez tout juste d'installer le 
plug-in Java d'Oracle.
Pour profiter pleinement du plugin Java d'Oracle  vous devrez desactiver le
plugin icedtea-web sur vos navigateurs en question.

--------------------------- Attention ---------------------------------

Pour faire cette manipulation :

Dans la barre d'adresse du navigateur entrer tout simplement :

- about:plugins

Rechercher icedtea-web Plugin puis desactivez le.

Cependant vous pouvez aussi le faire depuis les preferences de votre navigateur,
ou tout simplement le desinstaller de votre systeme.


----------------------------------------------------------------------
----------------------------------------------------------------------


--------------------------- English ----------------------------------


-------------------------- Description -------------------------------

If you have the icedtea-web plugin installed and enabled on your web browser, 
it will be used by default even if you just install the java plugin from Oracle.
To take full advantage of Oracle java plugin you will have to disable the 
icedtea-web browser plugin on your question.

---------------------------- Warning ---------------------------------

To do this operation:

In the address bar of the browser simply enter:

- about:plugins

Search plugin icedtea-web and then disable it.

However you can also do it from your browser preferences,
or simply uninstall it from your system
EOF
#----------------------------------------------------------------------------

%post
/var/adm/update-scripts/java/oracle-java-installer-%{javarelease}.sh
exit 0

%preun
/var/adm/update-scripts/java/oracle-java-uninstaller-%{javarelease}.sh
exit 0

%files
%doc %{docdir}
%doc README.urpmi
%attr(0755,root,root) /var/adm/update-scripts/java/*.sh
%ghost %{_bindir}/jcontrol
%ghost %{_datadir}/pixmaps/sun-java.png
%ghost %{_datadir}/pixmaps/sun-javaws.png
%ghost %{_datadir}/pixmaps/sun-jcontrol.png
%ghost %{_datadir}/applications/sun-java.desktop
%ghost %{_datadir}/applications/sun_java.desktop
%ghost %{_datadir}/applications/sun-javaws.desktop
%ghost %{_datadir}/mime/packages/x-java-jnlp-file.xml
%ghost %{_datadir}/mime/packages/x-java-archive.xml
%ghost %{_libdir}/mozilla/plugins/javaplugin.so
%ifarch x86_64
%ghost /opt/java/64/jre%{version}/
%else
%ghost /opt/java/32/jre%{version}/
%endif


%changelog
* Sat Jan 18 2014 david.david (MLO Team) <david.david> 1.7.0_51-1.nonfree.mga3
+ new version: jre-7u51
- fix some bug on installer scripts (32bit arch are affected)
- fix update-alternatives to install and uninstall tool alternatives
- fix missing uninstall files with macro "%%ghost"

* Tue Oct 22 2013 david.david (MLO Team) <david.david> 1.7.0_45-1.nonfree.mga3
+ new version: jre-7u45

* Sun Jun 23 2013 david.david (MLO Team) <david.david> 1.7.0_25-1.nonfree.mga3
+ new version: jre-7u25

* Fri May 17 2013 david.david (MLO Team) <david.david> 1.7.0_21-2.nonfree.mga3
+ Revision: 2
- add a README file to explain how to disable icedtea-web plugin, 
  (conflict with icedtea-web plugin used by default)

* Wed May 15 2013 david.david (MLO Team) <david.david> 1.7.0_21-1.nonfree.mga3
+ Rebuild package for Mageia 3 (Nonfree)
- imported package from Polish community
- add french language in %%description and %%Summary
- add Conflicts jre >= 1.7.0_05
- modify "spec" file
- modify Source0 and Source1
- version: jre-7u21
